package com.hzya.frame.sys.org.entity;

import java.util.Date;
import cn.dev33.satoken.stp.StpUtil;
import com.hzya.frame.sys.module.entity.Module;
import com.hzya.frame.sys.viewFiled.entity.ViewFiled;
import com.hzya.frame.uuid.UUIDUtils;
import com.hzya.frame.web.entity.BaseEntity;
import org.springframework.format.annotation.DateTimeFormat;
import com.fasterxml.jackson.annotation.JsonFormat;
import java.math.BigDecimal;
import java.util.List;

/**
 * @description: 组织机构管理
 * @tableName:   sys_org
 * @entityName:  Org
 * @author: 	 llg
 * @history:	 1.0
 */
public class  Org  extends BaseEntity {



	/** 唯一标识码 */
	private String id;
	/** 组织机构编码 */
	private String orgCode;
	/** 组织机构名称 */
	private String orgName;
	/** 类型：1、集团，2、公司，3、部门 */
	private String orgType;
	/** 排序号 */
	private Long sorts;
	/** 组织机构层级 */
	private Long lvl;
	/** 上级组织机构ID */
	private String upId;
	/** label */
	private String label;
	/** 创建人id */
	private String createUserId;
	@JsonFormat(pattern = "yyyy-MM-dd HH:mm:ss", timezone = "GMT+8")
	@DateTimeFormat(pattern = "yyyy-MM-dd HH:mm:ss")
	private Date createTime;
	/** 修改人id */
	private String modifyUserId;
	@JsonFormat(pattern = "yyyy-MM-dd HH:mm:ss", timezone = "GMT+8")
	@DateTimeFormat(pattern = "yyyy-MM-dd HH:mm:ss")
	private Date modifyTime;
	/** 状态(Y正常N删除) */
	private String sts;
	private String sort;
	private String order;

	private boolean ifCheck;
	//下级菜单
	private List<Org> children;
	/** 唯一标识码 */
	public void setId(String id) {
		this.id = id;
	}
	/** 唯一标识码 */
	public String getId() {
		return id;
	}
	/** 组织机构编码 */
	public void setOrgCode(String orgCode) {
		this.orgCode = orgCode;
	}
	/** 组织机构编码 */
	public String getOrgCode() {
		return orgCode;
	}
	/** 组织机构名称 */
	public void setOrgName(String orgName) {
		this.orgName = orgName;
	}
	/** 组织机构名称 */
	public String getOrgName() {
		return orgName;
	}
	/** 类型：1、集团，2、公司，3、部门 */
	public void setOrgType(String orgType) {
		this.orgType = orgType;
	}
	/** 类型：1、集团，2、公司，3、部门 */
	public String getOrgType() {
		return orgType;
	}
	/** 排序号 */
	public void setSorts(Long sorts) {
		this.sorts = sorts;
	}
	/** 排序号 */
	public Long getSorts() {
		return sorts;
	}
	/** 组织机构层级 */
	public void setLvl(Long lvl) {
		this.lvl = lvl;
	}
	/** 组织机构层级 */
	public Long getLvl() {
		return lvl;
	}
	/** 上级组织机构ID */
	public void setUpId(String upId) {
		this.upId = upId;
	}
	/** 上级组织机构ID */
	public String getUpId() {
		return upId;
	}
	/** 创建人id */
	public void setCreateUserId(String createUserId) {
		this.createUserId = createUserId;
	}
	/** 创建人id */
	public String getCreateUserId() {
		return createUserId;
	}
	/** 创建时间 */
	public void setCreateTime(Date createTime) {
		this.createTime = createTime;
	}
	/** 创建时间 */
	public Date getCreateTime() {
		return createTime;
	}
	/** 修改人id */
	public void setModifyUserId(String modifyUserId) {
		this.modifyUserId = modifyUserId;
	}
	/** 修改人id */
	public String getModifyUserId() {
		return modifyUserId;
	}
	/** 修改时间 */
	public void setModifyTime(Date modifyTime) {
		this.modifyTime = modifyTime;
	}
	/** 修改时间 */
	public Date getModifyTime() {
		return modifyTime;
	}
	/** 状态(Y正常N删除) */
	public void setSts(String sts) {
		this.sts = sts;
	}
	/** 状态(Y正常N删除) */
	public String getSts() {
		return sts;
	}
	public String getSort() {
		return sort;
	}

	public void setSort(String sort) {
		this.sort = sort;
	}

	public String getOrder() {
		return order;
	}

	public void setOrder(String order) {
		this.order = order;
	}

	//页数 利用pageHelper
	private Integer pageNum;
	//数量 利用pageHelper
	private Integer pageSize;

	private List<ViewFiled> viewFiledList;


	public Integer getPageNum() {
		return pageNum;
	}

	public void setPageNum(Integer pageNum) {
		this.pageNum = pageNum;
	}

	public Integer getPageSize() {
		return pageSize;
	}

	@Override
    public void setPageSize(Integer pageSize) {
		this.pageSize = pageSize;
	}

	public List<Org> getChildren() {
		return children;
	}

	public void setChildren(List<Org> children) {
		this.children = children;
	}

	public List<ViewFiled> getViewFiledList() {
		return viewFiledList;
	}

	public void setViewFiledList(List<ViewFiled> viewFiledList) {
		this.viewFiledList = viewFiledList;
	}

	public String getLabel() {
		return label;
	}

	public void setLabel(String label) {
		this.label = label;
	}

	public boolean isIfCheck() {
		return ifCheck;
	}

	public void setIfCheck(boolean ifCheck) {
		this.ifCheck = ifCheck;
	}

}
